RDAP and WHOIS search
Learn how to search within parsed WHOIS and RDAP fields, and compare records from both sources.
Search Within Parsed Fields
Section titled “Search Within Parsed Fields”Filter by a specific component within a parsed_whois or parsed_domain_rdap field. For example, filter by Create Date in Parsed WHOIS:
https://api.domaintools.com/v1/iris-investigate/?domain=github.com&parsed_whois:create_date=2007-10-09Compare WHOIS and Domain RDAP Records
Section titled “Compare WHOIS and Domain RDAP Records”By default, queries return standard registration data as part of the response root fields. Registration data is from either Domain RDAP or WHOIS:
Registration data is populated from a single source — WHOIS or RDAP — selected per domain in this order:
- If only one source is present, that record is used.
- If both are present and were collected more than three days apart, the newer record is used (field count is not considered).
- If both were collected within three days of each other, the record with more populated fields is used.
- On a tie — including when neither record has populated fields — RDAP is used.
To work with source-specific data, use the parsed_whois and parsed_domain_rdap records.
Add a standalone set of parsed fields from the Domain RDAP and/or the WHOIS record to the response with the parameters parsed_domain_rdap=true and &parsed_whois=true.
Example: Request Parsed Domain RDAP
Section titled “Example: Request Parsed Domain RDAP”Extend a query for domaintools.com by requesting Parsed Domain RDAP records in addition to the default response:
Query URL
https://api.domaintools.com/v1/iris-investigate/?domain=domaintools.com&parsed_domain_rdap=truecURL Example
curl -X GET \ 'https://api.domaintools.com/v1/iris-investigate/?domain=domaintools.com&parsed_domain_rdap=true&' \ -H "X-Api-Key: $DOMAINTOOLS_API_KEY"Response Structure
Section titled “Response Structure”The API response contains a results array. Each item in the array is a domain object, and within the object for domaintools.com, the parsed Domain RDAP record is returned as a nested object under the key parsed_domain_rdap.
{ "response": { "message": "Enjoy your data.", "results_count": 1, "total_count": 1, "results": [ { "domain": "domaintools.com", "popularity_rank": 2622, "active": true, "create_date": { "value": "1998-08-02", "count": 871 },
"parsed_whois": { "registrar": { "value": "eNom, LLC", "count": 593475 }, "registrant_org": { "value": "DomainTools, LLC", "count": 3 } }, "parsed_domain_rdap": { "registrar": { "value": "ENOM, INC.", "count": 3448760 }, "registrant_contact": { "name": { "value": "REDACTED REGISTRANT", "count": 9948449 } } } } ] }}Use Cases
Section titled “Use Cases”Compare Registration Data Sources
Section titled “Compare Registration Data Sources”Request both parsed_whois=true and parsed_domain_rdap=true to compare data from both sources:
https://api.domaintools.com/v1/iris-investigate/?domain=example.com&parsed_whois=true&parsed_domain_rdap=trueSearch Historical WHOIS
Section titled “Search Historical WHOIS”Use historical_free_text to search historical WHOIS records:
https://api.domaintools.com/v1/iris-investigate/?historical_free_text=example+corpCompare this to whois which searches only the most recent WHOIS record:
https://api.domaintools.com/v1/iris-investigate/?whois=example+corpSee Also
Section titled “See Also”- Base Search Parameters - WHOIS/RDAP searchable parameters
- Filter Parameters - Date-based filters for registration data
- Search Overview - General search capabilities